
048-2,99,87,0	script	Teuvo	NPC366,{
    @bookpages = ((QUEST_BlueSage & $@Q_BlueSageBookPages_MASK) >> $@Q_BlueSageBookPages_SHIFT);

    if (@bookpages == 31) goto L_Thank;
    if (@bookpages > 0) goto L_Progress;

    mes "[Teuvo]";
    mes "\"I always thought it was a bad idea to play around with the slimes. And as if holding them in here isn't bad enough, no, they also had to mess around with magic.\"";
    mes "He seems to be rather upset.";
    goto L_Investigate;

L_Progress:
    mes "[Teuvo]";
    mes "\"Did you find some bookpages? Ensio will take them.\"";
    goto L_Investigate;

L_Thank:
    mes "[Teuvo]";
    mes "\"Thanks for helping out here.\"";
    goto L_Investigate;

L_Investigate:
    if ((QL_BSAGE_INVESTIGATE == 3) || (QL_BSAGE_INVESTIGATE == 4)) goto L_Ask_Visitor;
    if ((QL_BSAGE_INVESTIGATE == 5) || (QL_BSAGE_INVESTIGATE == 8)) goto L_Ask_Helper;
    if ((QL_BSAGE_INVESTIGATE == 6) || (QL_BSAGE_INVESTIGATE == 7) || (QL_BSAGE_INVESTIGATE == 9) || (QL_BSAGE_INVESTIGATE == 10)) goto L_Ask_Both;
    goto L_close;

L_Ask_Visitor:
    menu
        "Can you tell me anything about the visitor with the mask?",L_Visitor,
        "I need to leave.",L_close;

L_Ask_Helper:
    menu
        "What's your opinion of Peetu and how he does his work?",L_Helper,
        "See you later.",L_close;

L_Ask_Both:
    menu
        "Can you tell me anything about the visitor with the mask?",L_Visitor,
        "What's your opinion of Peetu and how he does his work?",L_Helper,
        "Bye.",L_close;

L_Visitor:
    mes "[Teuvo]";
    mes "\"With a mask? Hm. I don't remember.\"";
    goto L_close;

L_Helper:
    mes "[Teuvo]";
    mes "\"Peetu? He's one of those magic wielders who think they can do anything. Heh, you see the result here.";
    mes "But to be fair, from what I've seen Peetu was always very attentive and dutiful.\"";
    if ((QL_BSAGE_INVESTIGATE != 5) && (QL_BSAGE_INVESTIGATE != 6) && (QL_BSAGE_INVESTIGATE != 7))
        goto L_close;
    QL_BSAGE_INVESTIGATE = QL_BSAGE_INVESTIGATE + 3;
    goto L_close;

L_close:
    @bookpages = 0;
    close;
}
